export declare const macaronsTheme: any;
export declare function generateLinearGradient(chartInstance: any, color: string, startOpacity?: number, endOpacity?: number): {
    type: string;
    x: number;
    y: number;
    x2: number;
    y2: number;
    colorStops: {
        offset: number;
        color: string;
    }[];
};
export declare function getMacaronColor(index: number): string;
/**
 * 动态加载 JavaScript
 */
export declare function loadScript(src: string, id?: string): Promise<void>;
/**
 * 动态加载 CSS
 */
export declare function loadCSS(href: string, id?: string): Promise<void>;
